Bug 1016297 - Selecting Lock Screen does not lock the screen
Selecting Lock Screen does not lock the screen
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
19
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 16:01 EDT by Russell Doty
Modified: 2015-02-17 12:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:33:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Doty 2013-10-07 16:01:46 EDT
Description of problem:

Selecting Lock Screen puts up a dialog box requesting an away message instead of locking the screen.

This is a change in behavior and a security risk.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Select "Menu" from the toolbar
2. Select the Lock Screen icon from the left side of the resulting menu.
3.

Actual results:

A dialog box requesting an away message appears.

Expected results:

The screen immediately locks.

Additional info:

It is possible to override this behavior in the System Settings => ScreenSaver and Lock Settings menu.

The ability to provide an away message is good, but the default should be to lock the screen as soon as the Lock Screen icon is selected. 

I have classified this as "urgent" because of the security risk. This behavior appeared after an update. I discovered it after I had locked my system, walked away, and returned an hour later to discover the system unlocked waiting for an away message.
Comment 1 Fedora End Of Life 2015-01-09 15:09:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:33:29 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.